Show / Hide Table of Contents

# Struct ImGuiIO

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImGuiIO

### Fields

| Improve this Doc View Source

#### BackendFlags

##### Declaration

    public ImGuiBackendFlags BackendFlags

##### Field Value

Type | Description
--- | ---
ImGuiBackendFlags |

| Improve this Doc View Source

#### BackendLanguageUserData

##### Declaration

    public void *BackendLanguageUserData

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### BackendPlatformName

##### Declaration

    public byte *BackendPlatformName

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### BackendPlatformUserData

##### Declaration

    public void *BackendPlatformUserData

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### BackendRendererName

##### Declaration

    public byte *BackendRendererName

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### BackendRendererUserData

##### Declaration

    public void *BackendRendererUserData

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### ClipboardUserData

##### Declaration

    public void *ClipboardUserData

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### ConfigDockingAlwaysTabBar

##### Declaration

    public byte ConfigDockingAlwaysTabBar

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### ConfigDockingNoSplit

##### Declaration

    public byte ConfigDockingNoSplit

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### ConfigDockingTransparentPayload

##### Declaration

    public byte ConfigDockingTransparentPayload

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### ConfigDockingWithShift

##### Declaration

    public byte ConfigDockingWithShift

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### ConfigDragClickToInputText

##### Declaration

    public byte ConfigDragClickToInputText

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### ConfigFlags

##### Declaration

    public ImGuiConfigFlags ConfigFlags

##### Field Value

Type | Description
--- | ---
ImGuiConfigFlags |

| Improve this Doc View Source

#### ConfigInputTextCursorBlink

##### Declaration

    public byte ConfigInputTextCursorBlink

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### ConfigMacOSXBehaviors

##### Declaration

    public byte ConfigMacOSXBehaviors

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### ConfigMemoryCompactTimer

##### Declaration

    public float ConfigMemoryCompactTimer

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### ConfigViewportsNoAutoMerge

##### Declaration

    public byte ConfigViewportsNoAutoMerge

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### ConfigViewportsNoDecoration

##### Declaration

    public byte ConfigViewportsNoDecoration

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### ConfigViewportsNoDefaultParent

##### Declaration

    public byte ConfigViewportsNoDefaultParent

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### ConfigViewportsNoTaskBarIcon

##### Declaration

    public byte ConfigViewportsNoTaskBarIcon

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### ConfigWindowsMoveFromTitleBarOnly

##### Declaration

    public byte ConfigWindowsMoveFromTitleBarOnly

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### ConfigWindowsResizeFromEdges

##### Declaration

    public byte ConfigWindowsResizeFromEdges

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### DeltaTime

##### Declaration

    public float DeltaTime

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### DisplayFramebufferScale

##### Declaration

    public Vector2 DisplayFramebufferScale

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### DisplaySize

##### Declaration

    public Vector2 DisplaySize

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### FontAllowUserScaling

##### Declaration

    public byte FontAllowUserScaling

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### FontDefault

##### Declaration

    public ImFont*FontDefault

##### Field Value

Type | Description
--- | ---
ImFont* |

| Improve this Doc View Source

#### FontGlobalScale

##### Declaration

    public float FontGlobalScale

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### Fonts

##### Declaration

    public ImFontAtlas*Fonts

##### Field Value

Type | Description
--- | ---
ImFontAtlas* |

| Improve this Doc View Source

#### Framerate

##### Declaration

    public float Framerate

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GetClipboardTextFn

##### Declaration

    public IntPtr GetClipboardTextFn

##### Field Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### IniFilename

##### Declaration

    public byte *IniFilename

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### IniSavingRate

##### Declaration

    public float IniSavingRate

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### InputQueueCharacters

##### Declaration

    public ImVector InputQueueCharacters

##### Field Value

Type | Description
--- | ---
ImVector |

| Improve this Doc View Source

#### InputQueueSurrogate

##### Declaration

    public ushort InputQueueSurrogate

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### KeyAlt

##### Declaration

    public byte KeyAlt

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### KeyCtrl

##### Declaration

    public byte KeyCtrl

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### KeyMap

##### Declaration

    public int *KeyMap

##### Field Value

Type | Description
--- | ---
System.Int32* |

| Improve this Doc View Source

#### KeyMods

##### Declaration

    public ImGuiKeyModFlags KeyMods

##### Field Value

Type | Description
--- | ---
ImGuiKeyModFlags |

| Improve this Doc View Source

#### KeyRepeatDelay

##### Declaration

    public float KeyRepeatDelay

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### KeyRepeatRate

##### Declaration

    public float KeyRepeatRate

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### KeysDown

##### Declaration

    public byte *KeysDown

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### KeysDownDuration

##### Declaration

    public float *KeysDownDuration

##### Field Value

Type | Description
--- | ---
System.Single* |

| Improve this Doc View Source

#### KeysDownDurationPrev

##### Declaration

    public float *KeysDownDurationPrev

##### Field Value

Type | Description
--- | ---
System.Single* |

| Improve this Doc View Source

#### KeyShift

##### Declaration

    public byte KeyShift

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### KeySuper

##### Declaration

    public byte KeySuper

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### LogFilename

##### Declaration

    public byte *LogFilename

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### MetricsActiveAllocations

##### Declaration

    public int MetricsActiveAllocations

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### MetricsActiveWindows

##### Declaration

    public int MetricsActiveWindows

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### MetricsRenderIndices

##### Declaration

    public int MetricsRenderIndices

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### MetricsRenderVertices

##### Declaration

    public int MetricsRenderVertices

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### MetricsRenderWindows

##### Declaration

    public int MetricsRenderWindows

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### MouseClicked

##### Declaration

    public byte *MouseClicked

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### MouseClickedPos_0

##### Declaration

    public Vector2 MouseClickedPos_0

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### MouseClickedPos_1

##### Declaration

    public Vector2 MouseClickedPos_1

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### MouseClickedPos_2

##### Declaration

    public Vector2 MouseClickedPos_2

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### MouseClickedPos_3

##### Declaration

    public Vector2 MouseClickedPos_3

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### MouseClickedPos_4

##### Declaration

    public Vector2 MouseClickedPos_4

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### MouseClickedTime

##### Declaration

    public double *MouseClickedTime

##### Field Value

Type | Description
--- | ---
System.Double* |

| Improve this Doc View Source

#### MouseDelta

##### Declaration

    public Vector2 MouseDelta

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### MouseDoubleClicked

##### Declaration

    public byte *MouseDoubleClicked

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### MouseDoubleClickMaxDist

##### Declaration

    public float MouseDoubleClickMaxDist

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### MouseDoubleClickTime

##### Declaration

    public float MouseDoubleClickTime

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### MouseDown

##### Declaration

    public byte *MouseDown

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### MouseDownDuration

##### Declaration

    public float *MouseDownDuration

##### Field Value

Type | Description
--- | ---
System.Single* |

| Improve this Doc View Source

#### MouseDownDurationPrev

##### Declaration

    public float *MouseDownDurationPrev

##### Field Value

Type | Description
--- | ---
System.Single* |

| Improve this Doc View Source

#### MouseDownOwned

##### Declaration

    public byte *MouseDownOwned

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### MouseDownWasDoubleClick

##### Declaration

    public byte *MouseDownWasDoubleClick

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### MouseDragMaxDistanceAbs_0

##### Declaration

    public Vector2 MouseDragMaxDistanceAbs_0

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### MouseDragMaxDistanceAbs_1

##### Declaration

    public Vector2 MouseDragMaxDistanceAbs_1

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### MouseDragMaxDistanceAbs_2

##### Declaration

    public Vector2 MouseDragMaxDistanceAbs_2

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### MouseDragMaxDistanceAbs_3

##### Declaration

    public Vector2 MouseDragMaxDistanceAbs_3

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### MouseDragMaxDistanceAbs_4

##### Declaration

    public Vector2 MouseDragMaxDistanceAbs_4

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### MouseDragMaxDistanceSqr

##### Declaration

    public float *MouseDragMaxDistanceSqr

##### Field Value

Type | Description
--- | ---
System.Single* |

| Improve this Doc View Source

#### MouseDragThreshold

##### Declaration

    public float MouseDragThreshold

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### MouseDrawCursor

##### Declaration

    public byte MouseDrawCursor

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### MouseHoveredViewport

##### Declaration

    public uint MouseHoveredViewport

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### MousePos

##### Declaration

    public Vector2 MousePos

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### MousePosPrev

##### Declaration

    public Vector2 MousePosPrev

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### MouseReleased

##### Declaration

    public byte *MouseReleased

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### MouseWheel

##### Declaration

    public float MouseWheel

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### MouseWheelH

##### Declaration

    public float MouseWheelH

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### NavActive

##### Declaration

    public byte NavActive

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### NavInputs

##### Declaration

    public float *NavInputs

##### Field Value

Type | Description
--- | ---
System.Single* |

| Improve this Doc View Source

#### NavInputsDownDuration

##### Declaration

    public float *NavInputsDownDuration

##### Field Value

Type | Description
--- | ---
System.Single* |

| Improve this Doc View Source

#### NavInputsDownDurationPrev

##### Declaration

    public float *NavInputsDownDurationPrev

##### Field Value

Type | Description
--- | ---
System.Single* |

| Improve this Doc View Source

#### NavVisible

##### Declaration

    public byte NavVisible

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### PenPressure

##### Declaration

    public float PenPressure

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### SetClipboardTextFn

##### Declaration

    public IntPtr SetClipboardTextFn

##### Field Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### UserData

##### Declaration

    public void *UserData

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### WantCaptureKeyboard

##### Declaration

    public byte WantCaptureKeyboard

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### WantCaptureMouse

##### Declaration

    public byte WantCaptureMouse

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### WantSaveIniSettings

##### Declaration

    public byte WantSaveIniSettings

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### WantSetMousePos

##### Declaration

    public byte WantSetMousePos

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### WantTextInput

##### Declaration

    public byte WantTextInput

##### Field Value

Type | Description
--- | ---
System.Byte |